Subject: Re: bug#27007: boot-parameters are not documented

From: Tomáš Čech <[email-masked]>
Date: Sat, 20 May 2017 23:43:44 +0200

On Sat, May 20, 2017 at 10:31:59PM +0200, Mathieu Othacehe wrote:
>
>Hi Tomáš,
>
>> My question without answer is - how can I specify bootloader menu entries now?
>
>You're right, you have to pass a <boot-parameters> now. The
>documentation patch is still in review, you can find it here :
>
>https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26339#489
>
>The example has been updated :
>
>--8<---------------cut here---------------start------------->8---
> @example
>-(menu-entry
>+(boot-parameters
>   (label "The Other Distro")
>-  (linux "/boot/old/vmlinux-2.6.32")
>-  (linux-arguments '("root=/dev/sda2"))
>+  (root-device "my-root")
>+  (boot-name 'grub)
>+  (store-device "my-root")
>+  (store-mount-point "/")
>+  (kernel "/boot/old/vmlinux-2.6.32")
>+  (kernel-arguments '("root=/dev/sda2"))
>   (initrd "/boot/old/initrd"))
> @end example
>--8<---------------cut here---------------end--------------->8---
>
>It will maybe change again in the future, I'm not sure <boot-parameters>
>are our best option here.

It's a bit complicated but much more flexible compared to
menu-entry. 'store-device' and 'store-mount-point' are Guix-centric
parameters and it is not obvious how to configure it for distributions
with kernel and initrd in /boot.

>Anyway, let me now if it works for you.

After following these changes I'm able to build system again. I'll
check the result GRUB configuration and report issue if there is one.

Thanks for your help,

S_W